Error while configuring libbonobo-2.8.1 for GNOME

go moko gomoko at yahoo.com
Thu Nov 17 07:38:07 PST 2005


--- Randy McMurchy <randy at linuxfromscratch.org> wrote:

> Nupur wrote these words on 11/17/05 09:15 CST:
> 
> > Then, I ran the checked PKG_CONFIG_PATH by echo
> $PKG_CONFIG_PATH and
> > it returned:
> > /usr/lib/pkgconfig/
> 
> And that is why your initial installation to /opt
> didn't work. You
> failed to add the additional path into your
> environment so that the
> PKG_CONFIG_PATH variable was updated to include the
> path for GNOME
> in /opt (or you failed to source the file that you
> modified to
> include the new PKG_CONFIG_PATH var).
> 
> You'll notice at
>
http://www.linuxfromscratch.org/blfs/view/stable/gnome/core.html#gnome-pre-install-config
> that it is mentioned to do this.

I don't remember Nupur mentionned /opt.
Gnome-pre-install-config suggest to install in /usr or
in /opt/gnome, and I guess Nupur choose the first
solution.

Nupur, can you try with this syntax (perhaps ` don't
work fine in your system, but I don't know why - do
you have a special keyboard? Do you use bash as
shell?):
./configure --prefix=$(pkg-config --variable=prefix
ORBit-2.0)
--libexecdir=$(pkg-config --variable=prefix
ORBit-2.0)/sbin
--sysconfdir=/etc/gnome

and also, can you try this:
GNOME_PATH=`pkg-config --variable=prefix ORBit-2.0`
echo $GNOME_PATH

and tell us the result.

Thx
G. Moko



	
		
__________________________________ 
Yahoo! Mail - PC Magazine Editors' Choice 2005 
http://mail.yahoo.com



More information about the blfs-support mailing list